/* Talika panel applet: Switch between open windows using icons.
 * (C) 2009-2010 Sinew Software Systems
	 *
 * Authors:  Vinod Kumar Dahiya
 *           Hemant Kumar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
	 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef TALIKA_LAUNCHER_H__
#define TALIKA_LAUNCHER_H__

#include <gtk/gtk.h>
#include <gio/gio.h>

#include "tasklist.h"

typedef struct _TalikaLauncher
{
	GtkWidget *event_box;
	GtkWidget *image;
	GtkWidget *action_menu;
	
	gchar *class_name;
	gchar *desktop_id;

	GAppInfo *app_info;

	gboolean exclude;

	TalikaTaskList *tasklist;
}
TalikaLauncher;


GdkPixbuf *talika_get_icon_from_desktop_file(const gchar *name, 
                                             gint pid, guint size);

gchar *talika_get_spec_from_class_pid (const gchar *name, gint pid);

TalikaLauncher *talika_launcher_new(TalikaTaskList *tasklist,
                                    const gchar *spec);

void talika_launcher_free(TalikaLauncher *launcher);

void talika_launcher_launch (GtkWidget *menu_item, TalikaLauncher *launcher);

void talika_launcher_unpin (GtkWidget *menu_item, TalikaLauncher *launcher);

void do_talika_launcher_update_visible_state (gpointer data, 
                                     gpointer user_data);

#endif //TALIKA_LAUNCHER_H__
